POST/shop

Create Shop

This endpoint allows you to create a shop, which includes a combination of market and websiteCode, along with parameters like Length of Stay (LOS), Guests, and Horizon.

The maximum allowed value for horizon is 365 days. Either horizon or horizonExpression must be provided.
POST/shop

Note

One of: horizon or horizonExpression

Important Notes

Examples:

{
  "name": "Test Shop",
  "horizon": 3,
  "horizonExpression": "",
  "market": "Hendon, Greater London, United Kingdom",
  "websiteCode": 2,
  "shopType": 1
}

{
  "name": "US Shop",
  "horizon": 0,
  "horizonExpression": "0-5",
  "market": "Staples, Texas, United States",
  "websiteCode": 2,
  "shopType": 2
}

Parameter Details

NameInTypeRequiredDescription
» namebodystringRequired Name of the shop.
» horizonbodynumberOptionalNumber of future days from today to retrieve rates.
» horizonExpressionbodystringOptionalCustom days in the future. E.g., 2-10,15,20-25.
» marketbodystringRequiredCity name. (Market should be defined as it is listed in the Post/market endpoint results)
» websiteCodebodynumberRequiredThe website code to be included in the shop.
» shopTypebodynumberRequired1-lar, 2-bar, 3-(lar & bar)

Responses

StatusMeaningDescriptionSchema
201OKShop Created Successfully
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity ExpiredNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X POST /shop \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "name": "string",
  "horizon": 365,
  "horizonExpression": "",
  "market": "string",
  "websiteCode": 0,
  "shopType": 0
}

Example responses

201 Response
{
  "message": "Shop Created Successfully",
  "shopId": 0
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.